Déjà une bidouille pour installer Big Sur sur des Mac non compatibles officiellement

La Rédaction |

macOS Big Sur est arrivé en délaissant derrière lui les Mac de 2012, ainsi que certains modèles de 2013. Triste nouvelle pour les possesseurs de ces générations de machines. Mais rien n’est perdu grâce à ParrotGeek qui vient de mettre à jour son utilitaire NexPostFacto pour le rendre compatible avec macOS Big Sur.

L’idée est de pouvoir installer la dernière mouture de macOS sur une grande partie des Mac de 2012 et 2013. Pour cela, l'utilitaire supprime la vérification de la compatibilité au moment du démarrage de l’installateur de macOS.

Voici la liste des ordinateurs gérés avec les anomalies annoncées par le développeur :

  • MacBook Air 11" et 13" mi-2012 : tout fonctionne excepté le Wi-Fi
  • MacBook Pro 13" et 15" mi-2012 : tout fonctionne excepté le Wi-Fi
  • MacBook Pro Retina 15" mi-2012 : tout fonctionne excepté le Wi-Fi
  • MacBook Pro Retina 13" début 2013 : tout fonctionne excepté le Wi-Fi
  • Mac mini fin 2012 : tout fonctionne excepté le Wi-Fi
  • iMac 21,5" et 27" fin 2012 : tout fonctionne excepté le Wi-Fi
  • iMac 21,5" fin 2013 avec une carte graphique intégrée (Intel) : tout fonctionne
  • iMac 27" fin 2013 : tout fonctionne
  • iMac 21,5" fin 2013 avec une carte graphique dédiée : tout fonctionne
  • Mac Pro mi-2010 et mi-2012 : soucis de veille et de Wi-Fi

Attention, non seulement il s'agit d'une bidouille, mais en plus c'est une version préliminaire avec un système d'exploitation lui aussi au stade de la bêta. Autrement dit, on vous déconseille vivement de prendre le risque sur votre Mac principal. Si vous voulez expérimenter macOS 11.0 sur un ancien Mac secondaire, voici la marche à suivre. Vous aurez besoin de :

  • une clé USB de 16 Go minimum (attention, vous devrez formater votre clé USB, pensez donc bien à sauvegarder celle-ci)
  • la bêta de macOS Big Sur disponible ici
  • l’utilitaire Trampoline (en version 0.1.3) qui vous permettra de lancer l’installateur de macOS
  • de la patience

Les étapes à suivre :

  1. Ouvrez et installez le fichier « InstallAssistant.pkg »
  2. Branchez votre clé USB
  3. Ouvrez l’Utilitaire de disque et formatez la clé USB au format Mac OS étendu (Journalisé) avec le schéma de partition GUID
  4. Ouvrez une fenêtre de terminal
  5. Tapez la commande suivante sudo /Applications/Install macOS Beta.app/Contents/Resources/createinstallmedia --volume, puis tapez sur la barre espace, et glissez votre clé USB présente sur votre bureau dans la fenêtre de terminal, puis cliquez sur Entrée
  6. Le terminal va vous demander votre code de session, tapez-le (vous ne verrez pas de caractères apparaître dans la fenêtre, c’est normal)
  7. Suivez les instructions et validez en tapant la touche « Y ». Attendez que le terminal vous affiche Done.
  8. Retournez dans Finder > Téléchargements et décompressez le fichier « tool.zip » précédemment téléchargé
  9. Retournez dans le terminal puis tapez xattr -c. Avant d’appuyer sur Entrée, retournez dans le Finder la ou le fichier « tool.zip » a été décompressé, puis faites glisser le fichier « patch_installer.sh » dans la fenêtre du terminal, puis faites Entrée
  10. Retournez dans le Finder là où se trouve le fichier « patch_installer.sh », et redéposez sur la fenêtre de terminal puis glissez-déposez votre clé USB fraîchement flashée avec l’installateur de macOS Big Sur sur votre fenêtre de terminal, puis tapez Entrée.
  11. Laissez tourner la moulinette jusqu’à l’aboutissement du processus, puis éjectez votre clé USB
  12. Branchez votre clé USB sur un des Mac de la liste citée plus haut
  13. Démarrez en restant appuyé sur la commande Option
  14. Sélectionnez la clé USB
  15. Installez macOS normalement

Une fois l’installation effectuée, vous pourrez bénéficier de macOS Big Sur bêta 1. Attention, outre le Wi-Fi inactif sur certaines machines, d'autres problèmes ont été répertoriés par les premiers testeurs :

  • L’option Sidecar qui apparait dans les Préférences système de l'iMac fin 2013, alors qu'elle ne devrait pas (elle ne fonctionne pas)
  • Un souci de lecteur DVD sur les machines équipées d’une carte graphique Nvidia GT750M
  • Appuyer deux fois sur la touche « fn » pour afficher la Dictée vocale ne fonctionne pas

Ce bricolage est utile uniquement si vous avez une bonne raison d'utiliser à tout prix macOS Big Sur (pour du développement, par exemple). Un utilitaire beaucoup plus simple signé dosdude1, connu pour ses « patchs » permettant de faire tourner des versions macOS non prises en charge, devrait arriver prochainement.

Mise à jour à 14h30 : l'étudiant Julien Satti publie sur son blog un tutoriel d'installation détaillé (en anglais) avec en plus la méthode pour activer le Wi-Fi.


avatar oboulot | 

Cool ! Merci pour l’info MacG ! 😁

avatar razerblade | 

Sympa, ce sera utile pour mon Mac Mini 2012. Mais je vais attendre la version finale pour me lancer dans ce genre de manipulation ^^.

avatar bdbus | 

info sympa, même bécane, même réflexion !

avatar bubu16 | 

Cette fois je crois que mon MBP mi-2009 ne passera pas 😭

avatar corben | 

Chacune de ses bidouilles à chaque nouveau MacOS met bien en évidence l’obsolescence programmée et devrait donc faire condamner Apple

avatar Deckard | 

@corben

C’est vrai que :
1) Catalina fera exploser les Macs s’ils ne sont pas en 11.0 à sa sortie.
2) Que 11.0 tourne certaine ment à merveille sur ces configurations.
3) Les SS Apple viendront chez toi te déporter en Chine dans leur usines si tu oses utiliser un Mac qui n’est pas sur 11.0 et qui aura échappé à son auto destruction mentionnée au point 1)

avatar iPeter | 

@corben

Faut arrêter avec ça, on toujours a des MAJ de sécurité sur des iMac qui ont plus de 10 ans mais à part ça Apple cherche à les rendre obsolètes ? L’obsolescence programmée ne signifie pas le support infini. Et l’Apple II, c’est quand même une honte qu’on ne puisse pas faire tourner MacOS Big Sur dessus, bon diou !

avatar Link1993 | 

@iPeter

J'aimerais que ce que tu dises soit vrai, mais non... mon Mac mini qui me sert de serveur s'est arrêté à El Capitan. J'ai du lui mettre High sierra via le patch de Dosdude pour avoir les mises à jours (et je prépare pour la transition vers Mojave, Catalina n'ayant pas de serveur VPN L2TP qui fonctionne correctement...)

avatar macinoe | 

Et ça, c'est bien la preuve que le motif d'abandon de ces machines par Apple n'a rien de technique. C'est une politique commerciale VOLONTAIRE pour rendre ces machines obsolète ARTIFICIELLEMENT.

avatar fte | 

@macinoe

"C'est une politique commerciale VOLONTAIRE pour rendre ces machines obsolète ARTIFICIELLEMENT."

Je te rejoins sur l’abandon volontaire non justifié sur le plan technique. Ces anciennes machines sont parfaitement capables de tourner le dernier OS et les apps d’aujourd’hui.

La volonté de rendre obsolète par contre, non. Il y a une raison beaucoup plus simple et directe.

Supporter ces anciennes machines implique développement et tests spécifiques de toute la panoplie logicielle d’Apple plus toute la chaîne logistique du SAV en Apple Store et des pièces détachées. Ne plus supporter ces machines est une simplification et une économie directe et immédiate. Pas besoin de chercher des volontés complotistes.

avatar Gwynpl@ine | 

@iPeter

En gros cet iMac de 2012 va vivre 10 ans tranquillement (voir plus) avec un support security update. Parler d'obsolescence est un peu exagéré, tu peux travailler quelques années avec.

Les fans de nouvelles technologies, changent de machine tous les 3 ans au max, donc la politique d'Apple ils s'en fichent.

Personnellement, j'ai des machines qui peuvent monter sur Mac OS 11, et pourtant je reste sur Mojave ou High Sierra, j'ai pas l'impression d'avoir des machines obsolètes :-D

avatar Khrys | 

@corben

Il est vrai qu'il est possible d'installer Windows 10 sur de très vieux PC, mais au prix d'une expérience utilisateur très fortement dégradée en raison du matériel vieillissant sur lequel il est installé.

J'ai MBP 15" Early 2013 incompatible avec macOS 11.
Je peux installer et utiliser Catalina (sous Mojave actuellement) si je le souhaite. Catalina sera encore maintenu pendant quelques années (2 à 3 ans, peut-être plus), ce qui fait que mon Mac "obsolète" a encore de très belles années devant lui, et ce avec une expérience utilisateur très acceptable.

Je préfère le choix d'Apple, au moins les choses sont claires, plutôt que celles de Windows.

avatar Dimemas | 

sauf que ce n'est pas vrai ...
de ce que j'ai lu ces 4 derniers jours sur la bidouille, les utilisateurs trouvaient que leur mac était plus réactifs en général

avatar Khrys | 

@Dimemas

"sauf que ce n'est pas vrai ..."

Qu'est-ce qui n'est pas vrai?

avatar Pierre H | 

J'ai lu que Safari était beaucoup plus rapide, c'est important de le signaler. Rien que pour ça, ça vaut le coup d'upgrader et d'acheter un nouveau Mac.

avatar bonnepoire | 

@ Pierre H |
Tu peux installer la nouvelle version de safari dans changer d’os.

avatar Bloodwave | 

@Khrys

Donc tu préfères avoir le choix de ne pas avoir le choix. Etrange.

avatar MKL | 

@corben

Non pas du tout bien au contraire, on est pas chez Windaube que l’on laisse s’installer sur tout et n’importe quoi qui rende une machine aussi véloce qu’un mollusque.
Rien à voir avec de l’obsolescence mais juste une certitude d’avoir une machine toujours aussi rapide avec un Os en adéquation avec le hardware.

avatar Alex Giannelli | 

@MKL

+1

avatar Bloodwave | 

@MKL

-1

Et visiblement tu parles sans savoir. Windaube comme tu dis (tss, on se croirait en 2000) tourne très bien sur mon Intel E8500 (processeur de 2008, quand même) et je suis bien content d'avoir pu rétrocéder cette machine secondaire pour mes gosses.

avatar en chanson | 

@MKL

Ton discours a 19 ans de retard.....Windows fait tourner des logiciels 3D dont le mac ne pourra jamais

avatar i'mMaC | 

En parlant de compatibilité, Apple a parlé d’une transition de 2 ans. Qu’est-ce que ça veut dire au niveau de macOS ? Pendant 2 ans ils feront des versions Intel/ARM et après que ARM ? Parce que sinon ça va mettre pas mal de Mac au placard. Et sinon ça veut dire un macOS qui tourne sur intel pendant encore 6-7 ans, donc 6 ou 7 versions de macOS...

avatar IceWizard | 

@i'mMaC

« Et sinon ça veut dire un macOS qui tourne sur intel pendant encore 6-7 ans, donc 6 ou 7 versions de macOS... »

Oui, c’est ça ! Encore heureux .. je compte garder mon MBP 16 Intel pendant 4 ou 5 ans.

avatar i'mMaC | 

@IceWizard

Mais ils vont devoir faire un Rossetta 3 pour les logiciels ARM vers Intel. Les applications vont pas continuer à faire double développement

avatar IceWizard | 

@i'mMaC

« Mais ils vont devoir faire un Rossetta 3 pour les logiciels ARM vers Intel. Les applications vont pas continuer à faire double développement »

On n’est plus dans la préhistoire de l’informatique. Avec XCode 12 (dont la version bêta est disponible pour les développeurs), une application MacOS est générée automatiquement en version ARM et Intel.

avatar oomu | 

@IceWizard

QUEL que soit la facilitée _réelle_ de générer "automatiquement" une version du logiciel en plusieurs architectures, il faudra TOUT DE MEME faire de l'assurance qualité (tester, vérifier, valider) pour chaque architecture.

il faudra prendre en compte les éventuelles spécificités de chaque architecture et mac associé

et donc, au final, il faudra faire ce travail, associer des ressources (personnes) à ce travail et donc pour l'entreprise cela sera une charge, un budget, à supprimer le plus vite possible.

Donc non, ce n'est pas juste une case à cocher et au revoir.

Il faudra donc se méfier des éditeurs de logiciels qui voudraient vite cesser de faire le support intel et les rappeler à l'ordre.

J'ai utilisé des " " dans mon propos plusieurs fois, parce qu'on les connaît les promesses de "tout est pris en charge, c'est totomagique, juste une poignée de jour, Adobe a porté preeeeesque tout CC en 3 clics.." etc, de l'industrie.

Ce n'est pas nouveau comme promesse, et ce n'est même pas nouveau chez Apple.

En pratique, des applications ARM devraient vite apparaître, mais il ne faut pas s'attendre à ce que tous les éditeurs prennent sur eux de maintenir intel longtemps. Cela dépendra du temps réel en debug/validation face à leur clientèle.

On est certes plus dans le Jurassique de l'Informatique mais encore dans le Crétacé de l'Informatique.

avatar Alex Giannelli | 

@oomu

Ça va surtout dépendre du nombre d'utilisateurs de puces Intel. Le jour où ce nombre sera largement minoritaire, les studios de développement lâcheront les logiciels Intel. La définition du "largement minoritaire" restera à la discrétion de ces studios. Donc finalement, cela suivra son cours, et je ne pense pas que Intel sera lâché aussi vite que tu le dis.

avatar Rez2a | 

@i'mMaC

Pour l’instant, il me semble qu’on n’a pas le choix : c’est soit on génère une appli seulement pour Intel, soit une appli universelle pour Intel + ARM, mais pas ARM tout court.

Admettons que macOS 11.5 (complètement au hasard) soit la version qui ne sera plus compatible avec les Mac Intel : il suffira à Apple de dire que toutes les applications pouvant être installées sur des versions inférieures à 11.5 doivent inclure un exécutable Intel et ARM, et que les applications pouvant seulement être installées sur 11.5 et plus peuvent se permettre de n’inclure qu’un exécutable pour ARM.

C’est à la discrétion du développeur de décider quelles versions du système seront supportées par son application, mais pour Apple c’est très facile de dire « ok, si vous voulez que votre appli s’installe sur telle version de l’OS, alors elle doit être compatible avec les deux architectures ». Et c’est probablement ce qui arrivera.

avatar macinoe | 

"Et sinon ça veut dire un macOS qui tourne sur intel pendant encore 6-7 ans, donc 6 ou 7 versions de macOS..."

Les versions d'OSX qui ont été compatible à la fois power PC et Intel ont été Tiger, Leopard et ... c'est tout !

avatar i'mMaC | 

@macinoe

Oui mais à l’époque c’était pas une version de macOS pas an

avatar MarcMame | 

@macinoe

"Les versions d'OSX qui ont été compatible à la fois power PC et Intel ont été Tiger, Leopard et ... c'est tout !"

Et Cheetah ?
Et Puma ?
Et Jaguar ?
Et Panther ?

avatar macinoe | 

@MarcMame

Si tu as réussi à intaller un de ces os sur un macintel, t'es vraiment très fort.

Ils ne sont jamais sortis en version compatible Intel vu que les macintel n'existaient pas à l'époque.

Allez bisous.

avatar Madalvée | 

La limitation du wifi est-elle définitive ou vont-ils améliorer leur patch ? Un portable sans c’est un peu ballot.

avatar toddrail12 | 

@Madalvée

Ça doit être une question de drivers non dispo. La seule solution que je vois, c’est de changer la carte wifi, si elle est pas soudée sur votre modèle.

avatar r e m y | 

@toddrail12

Ou de récupérer les drivers sur l'ancien système pour les "greffer" sur Big Sur.

avatar armandgz123 | 

@Madalvée

Ça sera dispo plus tard, c’est certain

avatar aventurier | 

Apparemment on parle juste de driver wifi.

C’est quand même débile de faire de l’obsolescence programmée pour un driver wifi.

On est loin de gros problèmes techniques

J’aurai plus vue des besoins en ram: mini 8go

Pfff

avatar fte | 

Le wifi en panne c’est un brin ennuyeux sur portable. Mais il y a pas mal d’adaptateurs en USB, à vérifier qu’ils sont supportés sur macOS cependant, et sinon on peut toujours se rabattre sur une borne wifi configurée en bridge. La mobilité en prend un coup...

Je ne recommande pas de tenter la bidouille sauf à en avoir absolument besoin ou absolument envie en acceptant le risque de panne complète.

avatar jeantro | 

Je tire mon chapeau à ces personnes bravo encore une fois

Comment Apple peut interdire un IMac fin 2012 équipé de 32go de ram core i7 1to SSD carte graphique 2to

Cela s’appelle de l’obsolescence programmé bravo Apple cela vous fait une belle image pour le respect de la planète

J’espère que dans quelques années ces pratiques seront interdites

avatar oomu | 

@jeantro

"J’espère que dans quelques années ces pratiques seront interdites"

peu crédible que les politiciens imposent une ligne dure à l'industrie. Parce qu'on ne fait pas une loi spéciale "Apple M'emmerde", mais qui va s'appliquer à touuuuute l'industrie.

Exemple de jusqu'où ça peut nous mener:

Quid du support de la Nintendo DS ? Pourquoi y a pas le dernier pokémon dessus ? Nintendo devrait faire une version à jour de Pokémon pour la DS, 2 ou 3 coups de couleurs en moins, un monde en 2D mais les pokémons à jour et zou !

marre de l'obsolescence programmée !

Alors certes, je suis français chevelu et par nature j'adore la loi, légiférer, réguler et emmerder soeur capitaliste (c'est un réflexe), mais la Loi et l'Interdit est un outil puissant, trop utilisé à la légère pour des lubies parfois contre-productives.

je dis prudence.

"Comment Apple peut interdire un IMac fin 2012 équipé de 32go de ram core i7 1to SSD carte graphique 2to"

Apple a souhaité réserver le nouveau service et produit à ses nouveaux segments de produits. Devrait on interdire les restrictions de licences et tests d'exécution ? hmmm... une idée à creuser.

(mais dans un monde où tout le monde et mon chien ont signé pour DADVSI, MPT et autres DRM, qui consiste, en gros, a donner plus de pouvoir à l'ayant droit, je ne crois pas que la Morale aille dans ce sens là)

avatar Oby | 

Il y a une vidéo sur youtube pour faire fonctionner le wifi à nouveau : https://www.youtube.com/watch?v=qzf7eAzMlPg

avatar tahitibobx987 | 

Vivement la version stable pour mon MacBook pro retina 2012 😛

avatar RonDex | 

@tahitibobx987

C’est clair. J’ai la même machine. Avec 16 giga de RAM. 2 cartes graphique. i7.
Une excellente machine. Et je suis un peu énervé de ne pas pouvoir installer la nouvelle mise à jour majeur.
Depuis qu’Apple sort une mise à jour majeur chaque année, c’est la catastrophe au niveau de l’obsolescence programmée…
Depuis quelques temps, en mobilité je ne me sers que de mon iPad. Ma prochaine machine sera un iMac 27 ARM.
Et donc pour le wi-fi, je ne m’en sers pas. J’utilise un câble Ethernet sur un dock Thunderbolt.
Par contre le wi-fi est nécessaire pour AirDrop, et d’autres fonctions en symbiose avec iOS.
Espérons qu’il y aura un patch stable avec Big Sur et en fin d’année.
Et vu qu’ils agit d’une grosse mise à jour. J’aurais aimé que celle-ci soit la dernière sur mon MacBook Pro Retina 2012, et non pas Catalina…
Et surtout quand on voit que iPad OS la nouvelle mise à jour sera disponible même sur l’iPad Air 2.

avatar sinbad21 | 

Il y a plus simple pour le WiFi. Après avoir désactivé l'authenticated root en démarrant sur une clé usb d'installation de Big Sur, on redémarre sur Big Sur et on suit ce tutoriel : https://twitter.com/EBADTWEET/status/1275454103900971012

avatar alexis83 (non vérifié) | 

Super tout ça ! Perso je cherche surtout quelque chose permettant d’avoir sidecar sur mon Mac mini fin 2012... j’ai un iPad Pro et j’aimerai bien pouvoir m’en servir avec le mac...

avatar bdlapierre | 

"perso je cherche surtout quelque chose permettant d’avoir sidecar sur mon Mac mini fin 2012... j’ai un iPad Pro et j’aimerai bien pouvoir m’en servir avec le mac..."

Il existe un patch pour mettre sidecar sur les macs nous supporté mais je n'ai jamais réussi à le faire fonctionner sur mon MacBookPro Late 2013. (Free sidecar ?)

https://github.com/pookjw/SidecarPatcher (Apparemment instable)

Par contre la solution achat d'app iOS / Mac "Astropad" (ou Astropad Studio, plus de fonction customisables mais sur abonnement ) seule
ou avec le Gadget technologique luna display
https://astropad.com/product/lunadisplay/
peut remplacer Sidecar.
Ce sont des ancien ingénieurs d'apple qui ont créé cette boîte.
Vérifie la compatibilité des ports de ton Mac mini.
(Les adaptateurs vers Usb C ne fonctionnent pas)
J'ai la version thunderbolt.
ça peut paraître compliqué mais Astropad transforme l'iPad en tablette écran via wifi ou filaire,
avec affichage proportionnel
et Luna Display transforme l'iPad en ecran secondaire complet
via leur solution GPU.

avatar Mike Mac | 

Trampoline.... Un petit saut pour l'homme, un bon de géant pour le Macuser...

Allo Cupertino, whe have a problem !

avatar suredj | 

http://dosdude1.com/software.html
J’attend que la nouveau patch sorte :)

avatar thunder72fr | 

Testé et approuvé sur Macbook Pro 15" Retina (Mid 2012) / i7 3620QM / 8Go DDR3 / Nvidia 650M / 500Go SSD / Catalina - Win10 Pro.

J' avais depuis longtemps changé la carte wifi pour obtenir du AC.

Pages

CONNEXION UTILISATEUR